window.addEventListener('DOMContentLoaded', function() {

	for (const key in widget_settings) {
		if (widget_settings.hasOwnProperty(key)) {
			const value = widget_settings[key];
			if (value === "true") {
				widget_settings[key] = true;
			} else if (value === "false") {
				widget_settings[key] = false;
			}
		}
	}

	document.querySelectorAll('.mindd-widget').forEach(function(widget) {

		window.mindd.init({
			ApiKey: widget.dataset.apikey,
			target: '#' + widget.id,
			type: 'widget',
			accent_color: widget_settings.mindd_widget_accent_color,
			open: false,
			modalDisplayMode: widget_settings.mindd_widget_modal_display_mode,
			widget_background: widget_settings.mindd_widget_background,
			widget_foreground: widget_settings.mindd_widget_foreground,
			showLanguageSelector: widget_settings.mindd_widget_show_language_selector,
			defaultLanguageCode: widget.dataset.language,
			getSessionSummaryUsingForm: true,
			branding: {
				layout: widget_settings.mindd_widget_layout,
				font_family: widget_settings.mindd_widget_font_family
			}
		});

		console.log( widget_settings.mindd_widget_show_language_selector );
	});
});