<?php
/**
 * The shortcode to display the widget.
 *
 * @package    Mindd_Widget
 * @subpackage Mindd_Widget/public
 */
class Mindd_Widget_Shortcode {

	/**
	 * The tag for the shortcode.
	 *
	 * @var string
	 */
	private $shortcode_tag = 'mindd';

	/**
	 * Add the shortcode.
	 *
	 * @return void
	 */
	public function add_shortcode() {
		add_shortcode( $this->shortcode_tag, array( $this, 'render_shortcode' ) );
	}

	/**
	 * Render the shortcode.
	 *
	 * @return string|false
	 */
	public function render_shortcode() {
		ob_start();

		require_once plugin_dir_path( dirname( __FILE__ ) ) . 'public/partials/mindd-widget-shortcode.php';

		return ob_get_clean();
	}

}
